org.thewonderlemming.c4plantuml.graphml.model

## Enum C4Keys

- java.lang.Object
- - java.lang.Enum<C4Keys>
  - - org.thewonderlemming.c4plantuml.graphml.model.C4Keys

- All Implemented Interfaces:
    Serializable, Comparable<C4Keys>

      public enum C4Keys
      extends Enum<C4Keys>

  Holds C4 GraphML keys and their properties.
  Author:
    thewonderlemming

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASPECT` The graph's C4 aspect.
    `C4_LEVEL` The C4 level the graph's edge belongs to.
    `DESCRIPTION` The graph's node description.
    `ENTITY_TYPE` The graph's node type (i.e.
    `LABEL` The label on a graph's edge.
    `NAME` The graph's node name.
    `PROTOCOL` The protocol on a graph's edge (HTTPS, OAuth2, and such)..
    `TECHNOLOGICAL_STACK` The technological stack of a graph's node.
    `TITLE` The graph's title.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyModel` | `getC4Key()` Builds a `KeyModel` from the current `C4Keys` and returns it..
    `static List<KeyModel>` | `getC4Keys()` Returns a `List` of `KeyModel` built from every value from `C4Keys`.
    `String` | `getId()` Return the GraphML key ID for the current `C4Keys` value.
    `static C4Keys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static C4Keys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASPECT

          public static final C4Keys ASPECT

      The graph's C4 aspect.

    - #### C4_LEVEL

          public static final C4Keys C4_LEVEL

      The C4 level the graph's edge belongs to.

    - #### DESCRIPTION

          public static final C4Keys DESCRIPTION

      The graph's node description.

    - #### ENTITY_TYPE

          public static final C4Keys ENTITY_TYPE

      The graph's node type (i.e. Person, System, and so on).

    - #### LABEL

          public static final C4Keys LABEL

      The label on a graph's edge.

    - #### NAME

          public static final C4Keys NAME

      The graph's node name.

    - #### PROTOCOL

          public static final C4Keys PROTOCOL

      The protocol on a graph's edge (HTTPS, OAuth2, and such)..

    - #### TECHNOLOGICAL_STACK

          public static final C4Keys TECHNOLOGICAL_STACK

      The technological stack of a graph's node.

    - #### TITLE

          public static final C4Keys TITLE

      The graph's title.

  - ### Method Detail

    - #### values

          public static C4Keys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (C4Keys c : C4Keys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static C4Keys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getC4Keys

          public static List<KeyModel> getC4Keys()

      Returns a `List` of `KeyModel` built from every value from `C4Keys`.
      Returns:
        a list of `KeyModel` built from every instance of the current class.

    - #### getC4Key

          public KeyModel getC4Key()

      Builds a `KeyModel` from the current `C4Keys` and returns it..
      Returns:
        a `KeyModel` instance built from the current `C4Keys` value.

    - #### getId

          public String getId()

      Return the GraphML key ID for the current `C4Keys` value.
      Returns:
        the current GraphML key ID.

Copyright © 2020. All rights reserved.